version: '3'

services:

  db:
    image: postgres:10
    environment:
      POSTGRES_USER: ${POSTGRES_USER}
      POSTGRES_PASSWORD: ${POSTGRES_PASSWORD}
      POSTGRES_DB: ${POSTGRES_DATABASE}
    restart: always
    volumes:
      - database:/var/lib/postgresql/data

  api:
    image: h2020catalyst/marketplace-information-broker:latest
    build:
      context: ..
      dockerfile: docker/Dockerfile
    command: ["pipenv", "run", "gunicorn", "information_broker.wsgi:application"]
    environment:
      POSTGRES_DATABASE: ${POSTGRES_DATABASE}
      POSTGRES_HOST: ${POSTGRES_HOST}
      POSTGRES_PASSWORD: ${POSTGRES_PASSWORD}
      POSTGRES_USER: ${POSTGRES_USER}
      ADMIN_EMAIL: ${ADMIN_EMAIL}
      ADMIN_PASSWORD: ${ADMIN_PASSWORD}
      ADMIN_USERNAME: ${ADMIN_USERNAME}
      CLIENT_ID: ${CLIENT_ID}
      CLIENT_SECRET: ${CLIENT_SECRET}
      OS_AUTHZ_CONFIG: ${OS_AUTHZ_CONFIG}
      REALM_ADMIN_PASSWORD: ${REALM_ADMIN_PASSWORD}
      REALM_ADMIN_USERNAME: ${REALM_ADMIN_USERNAME}
      EXTERNAL_URL: ${EXTERNAL_URL}
      RELATIVE_URL: ${RELATIVE_URL}
      DJANGO_SETTINGS_MODULE: ${DJANGO_SETTINGS_MODULE}
      FORM: ${FORM}
      TYPE: ${TYPE}
      DCMCM_SERVER_IP: ${DCMCM_SERVER_IP}
      DCMCM_SERVER_PORT: ${DCMCM_SERVER_PORT}
      ITLB_URL: ${ITLB_URL}
      MCM_URL: ${MCM_URL}
      MSM_URL: ${MSM_URL}
      SLARC_IP: ${SLARC_IP}
      SLARC_PORT: ${SLARC_PORT}
      VCG_IP: ${VCG_IP}
      VCG_PORT: ${VCG_PORT}
      MULTIPLE_ENERGY_MARKETPLACE_ORCHESTRATOR_URL: ${MULTIPLE_ENERGY_MARKETPLACE_ORCHESTRATOR_URL}
    depends_on:
      - db
    restart: always

volumes:
  database:
